%bcond_with tests

%global modname py
%global modnameversion %{modname}-%{version}
%global p2builddir python2tmp
%global p3builddir python3tmp

Name:           python-%{modname}
Version:        1.11.0
Release:        2
Summary:        Library with cross-python path, ini-parsing, io, code, log facilities
License:        MIT and Public Domain
URL:            http://pylib.readthedocs.io/en/stable/
Source0:        https://files.pythonhosted.org/packages/98/ff/fec109ceb715d2a6b4c4a85a61af3b40c723a961e8828319fbcb15b868dc/py-1.11.0.tar.gz
BuildArch:      noarch

%if %{with tests}
BuildRequires:  subversion
%endif

%global _description \
The py lib is a Python development support library featuring the\
following tools and modules:\
\
  * py.path: uniform local and svn path objects\
  * py.apipkg: explicit API control and lazy-importing\
  * py.iniconfig: easy parsing of .ini files\
  * py.code: dynamic code generation and introspection

%description
%{_description}

%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools python3-setuptools_scm
%if %{with tests}
BuildRequires:  python3-pytest >= 2.9.0, python3-pytest < 2.10
%endif
Requires:       python3-setuptools
%{?python_provide:%python_provide python3-%{modname}}
Provides:       bundled(python3-apipkg) = 1.4 bundled(python3-iniconfig) = 1.0.0
Obsoletes:      platform-python-%{modname} < %{version}-%{release}

%description -n python3-%{modname}
%{_description}

%package_help

%prep
%autosetup -c -n %{modnameversion}

find %{modnameversion} \
   -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} \; \
   -exec chmod u=rw,go=r {} \;

mv %{modnameversion} %{p3builddir}

%build
pushd %{p3builddir}
%py3_build
popd

%install
pushd %{p3builddir}
%py3_install
popd

%check
%if %{with tests}
pushd %{p3builddir}
PYTHONPATH=%{buildroot}%{python3_sitelib} LC_ALL="en_US.UTF-8" \
py.test-%{python3_version} -r s -k"-TestWCSvnCommandPath" testing
popd
%endif

%files -n python3-%{modname}
%license %{p3builddir}/LICENSE
%{python3_sitelib}/py-*.egg-info/
%{python3_sitelib}/py/

%files help
%doc %{p3builddir}/CHANGELOG.rst
%doc %{p3builddir}/README.rst

%changelog
* Thu Jul 21 2022 wulei <wulei80@h-partners.com> - 1.11.0-2
- Sphinx 4.4.x causes python-py to fail to be compiled, so remove doc from python-py
 
* Wed Dec 15 2021 shixuantong <shixuantong@huawei.com> - 1.11.0-1
- update version to 1.11.0

* Thu Jul 15 2021 OpenStack_SIG <openstack@openeuler.org> - 1.10.0-1
- Update version to 1.10.0

* Mon Aug 10 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 1.5.4-5
- Remove python2

* Tue Dec 10 2019 mengxian <mengxian@huawei.com> - 1.5.4-4
- Package init
